Re: LInker Errors: Cannot find crti.o/crtbeginS.o. No such file or directory. #honister #make #yocto


douglas.cooper1@...
 

#!/bin/sh
 
__BITBAKE_LAST_LINE=0
 
# Emit a useful diagnostic if something fails:
bb_sh_exit_handler() {
    ret=$?
    if [ "$ret" != 0 ]; then
        echo "WARNING: exit code $ret from a shell command."
    fi
    exit $ret
}
 
bb_bash_exit_handler() {
    ret=$?
    { set +x; } > /dev/null
    trap "" DEBUG
    if [ "$ret" != 0 ]; then
        echo "WARNING: ${BASH_SOURCE[0]}:${__BITBAKE_LAST_LINE} exit $ret from '$1'"
 
        echo "WARNING: Backtrace (BB generated script): "
        for i in $(seq 1 $((${#FUNCNAME[@]} - 1))); do
            if [ "$i" -eq 1 ]; then
                echo -e " #$((i)): ${FUNCNAME[$i]}, ${BASH_SOURCE[$((i-1))]}, line ${__BITBAKE_LAST_LINE}"
            else
                echo -e " #$((i)): ${FUNCNAME[$i]}, ${BASH_SOURCE[$((i-1))]}, line ${BASH_LINENO[$((i-1))]}"
            fi
        done
    fi
    exit $ret
}
 
bb_bash_debug_handler() {
    local line=${BASH_LINENO[0]}
    # For some reason the DEBUG trap trips with lineno=1 when scripts exit; ignore it
    if [ "$line" -eq 1 ]; then
        return
    fi
 
    # Track the line number of commands as they execute. This is so we can have access to the failing line number
    # in the EXIT trap. See http://gnu-bash.2382.n7.nabble.com/trap-echo-quot-trap-exit-on-LINENO-quot-EXIT-gt-wrong-linenumber-td3666.html
    if [ "${FUNCNAME[1]}" != "bb_bash_exit_handler" ]; then
        __BITBAKE_LAST_LINE=$line
    fi
}
 
case $BASH_VERSION in
"") trap 'bb_sh_exit_handler' 0
    set -e
    ;;
*)  trap 'bb_bash_exit_handler "$BASH_COMMAND"' 0
    trap '{ bb_bash_debug_handler; } 2>/dev/null' DEBUG
    set -e
    shopt -s extdebug
    ;;
esac
export AR="aarch64-linaro-linux-gcc-ar"
export AS="aarch64-linaro-linux-as "
export BUILD_AR="ar"
export BUILD_AS="as "
export BUILD_CC="gcc "
export BUILD_CCLD="gcc "
export BUILD_CFLAGS="-isystem/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/recipe-sysroot-native/usr/include -O2 -pipe"
export BUILD_CPP="gcc  -E"
export BUILD_CPPFLAGS="-isystem/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/recipe-sysroot-native/usr/include"
export BUILD_CXX="g++ "
export BUILD_CXXFLAGS="-isystem/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/recipe-sysroot-native/usr/include -O2 -pipe"
export BUILD_FC="gfortran "
export BUILD_LD="ld "
export BUILD_LDFLAGS="-L/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/recipe-sysroot-native/usr/lib                         -L/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/recipe-sysroot-native/lib                         -Wl,--enable-new-dtags                         -Wl,-rpath-link,/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/recipe-sysroot-native/usr/lib                         -Wl,-rpath-link,/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/recipe-sysroot-native/lib                         -Wl,-rpath,/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/recipe-sysroot-native/usr/lib                         -Wl,-rpath,/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/recipe-sysroot-native/lib                         -Wl,-O1"
export BUILD_NM="nm"
export BUILD_RANLIB="ranlib"
export BUILD_STRIP="strip"
export CC="aarch64-linaro-linux-gcc  -mcpu=cortex-a53 -march=armv8-a+crc --sysroot=/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/recipe-sysroot"
export CCLD="aarch64-linaro-linux-gcc  -mcpu=cortex-a53 -march=armv8-a+crc --sysroot=/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/recipe-sysroot"
export CC_FOR_BUILD="gcc "
export CFLAGS="-D__ARMEL__     -I/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/recipe-sysroot/usr/include/c++/10.3.1     -I/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/recipe-sysroot/usr/include/c++/10.3.1/aarch64-linaro-linux     -I/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/recipe-sysroot/usr/include  -O2 -pipe -g -feliminate-unused-debug-types -fmacro-prefix-map=/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0=/usr/src/debug/opal/3.18-beta9-r0                      -fdebug-prefix-map=/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0=/usr/src/debug/opal/3.18-beta9-r0                      -fdebug-prefix-map=/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/recipe-sysroot=                      -fdebug-prefix-map=/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/recipe-sysroot-native= "
export CFLAGS_FOR_BUILD="-isystem/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/recipe-sysroot-native/usr/include -O2 -pipe"
export CONFIG_SITE="/home/vagrant/oe_qcom_honister/build-cdil/conf/../../layers/openembedded-core/meta/site/endian-little /home/vagrant/oe_qcom_honister/build-cdil/conf/../../layers/openembedded-core/meta/site/arm-common /home/vagrant/oe_qcom_honister/build-cdil/conf/../../layers/openembedded-core/meta/site/arm-64 /home/vagrant/oe_qcom_honister/build-cdil/conf/../../layers/openembedded-core/meta/site/common-linux /home/vagrant/oe_qcom_honister/build-cdil/conf/../../layers/openembedded-core/meta/site/common-glibc /home/vagrant/oe_qcom_honister/build-cdil/conf/../../layers/openembedded-core/meta/site/common"
export CPP="aarch64-linaro-linux-gcc -E --sysroot=/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/recipe-sysroot  -mcpu=cortex-a53 -march=armv8-a+crc"
export CPPFLAGS="-D__ARMEL__     -I/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/recipe-sysroot/usr/include/c++/10.3.1     -I/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/recipe-sysroot/usr/include/c++/10.3.1/aarch64-linaro-linux     -I/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/recipe-sysroot/usr/include "
export CPPFLAGS_FOR_BUILD="-isystem/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/recipe-sysroot-native/usr/include"
export CPP_FOR_BUILD="gcc  -E"
export CXX="aarch64-linaro-linux-g++  -mcpu=cortex-a53 -march=armv8-a+crc --sysroot=/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/recipe-sysroot"
export CXXFLAGS="-D__ARMEL__     -I/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/recipe-sysroot/usr/include/c++/10.3.1     -I/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/recipe-sysroot/usr/include/c++/10.3.1/aarch64-linaro-linux     -I/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/recipe-sysroot/usr/include  -O2 -pipe -g -feliminate-unused-debug-types -fmacro-prefix-map=/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0=/usr/src/debug/opal/3.18-beta9-r0                      -fdebug-prefix-map=/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0=/usr/src/debug/opal/3.18-beta9-r0                      -fdebug-prefix-map=/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/recipe-sysroot=                      -fdebug-prefix-map=/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/recipe-sysroot-native=  -fvisibility-inlines-hidden"
export CXXFLAGS_FOR_BUILD="-isystem/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/recipe-sysroot-native/usr/include -O2 -pipe"
export CXX_FOR_BUILD="g++ "
unset DISTRO
export FC="aarch64-linaro-linux-gfortran  -mcpu=cortex-a53 -march=armv8-a+crc --sysroot=/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/recipe-sysroot"
export GIT_CEILING_DIRECTORIES="/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0"
export GIT_CONFIG_PARAMETERS="'safe.directory=*'"
export HOME="/home/vagrant"
export LC_ALL="en_US.UTF-8"
export LD="aarch64-linaro-linux-ld --sysroot=/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/recipe-sysroot "
export LDFLAGS="    -L/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/recipe-sysroot/lib     -L/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/recipe-sysroot/usr/lib     -L/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/recipe-sysroot/usr/lib/aarch64-linaro-linux/10.3.1 "
export LDFLAGS_FOR_BUILD="-L/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/recipe-sysroot-native/usr/lib                         -L/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/recipe-sysroot-native/lib                         -Wl,--enable-new-dtags                         -Wl,-rpath-link,/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/recipe-sysroot-native/usr/lib                         -Wl,-rpath-link,/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/recipe-sysroot-native/lib                         -Wl,-rpath,/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/recipe-sysroot-native/usr/lib                         -Wl,-rpath,/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/recipe-sysroot-native/lib                         -Wl,-O1"
export LD_FOR_BUILD="ld "
export LOGNAME="vagrant"
unset MACHINE
export MAKE="make"
export NM="aarch64-linaro-linux-gcc-nm"
export OBJCOPY="aarch64-linaro-linux-objcopy"
export OBJDUMP="aarch64-linaro-linux-objdump"
export OMP_NUM_THREADS="8"
export OPALDIR="/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/git"
export PATH="/home/vagrant/oe_qcom_honister/layers/openembedded-core/scripts:/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/recipe-sysroot-native/usr/bin/aarch64-linaro-linux:/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/recipe-sysroot/usr/bin/crossscripts:/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/recipe-sysroot-native/usr/sbin:/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/recipe-sysroot-native/usr/bin:/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/recipe-sysroot-native/sbin:/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/recipe-sysroot-native/bin:/home/vagrant/oe_qcom_honister/bitbake/bin:/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/hosttools"
export PKG_CONFIG_DIR="/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/recipe-sysroot/usr/lib/pkgconfig"
export PKG_CONFIG_DISABLE_UNINSTALLED="yes"
export PKG_CONFIG_LIBDIR="/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/recipe-sysroot/usr/lib/pkgconfig"
export PKG_CONFIG_PATH="/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/recipe-sysroot/usr/lib/pkgconfig:/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/recipe-sysroot/usr/share/pkgconfig"
export PKG_CONFIG_SYSROOT_DIR="/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/recipe-sysroot"
export PKG_CONFIG_SYSTEM_INCLUDE_PATH="/usr/include"
export PKG_CONFIG_SYSTEM_LIBRARY_PATH="/lib:/usr/lib"
export PSEUDO_DISABLED="1"
export PSEUDO_UNLOAD="1"
export PTLIBDIR="/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/recipe-sysroot/usr/src/ptlib"
export RANLIB="aarch64-linaro-linux-gcc-ranlib"
export READELF="aarch64-linaro-linux-readelf"
unset SHELL
export STRINGS="aarch64-linaro-linux-strings"
export STRIP="aarch64-linaro-linux-strip"
unset TARGET_ARCH
export TZ="UTC"
export USER="vagrant"
export base_bindir="/bin"
export base_libdir="/lib"
export base_prefix=""
export base_sbindir="/sbin"
export bindir="/usr/bin"
export datadir="/usr/share"
export docdir="/usr/share/doc"
export exec_prefix="/usr"
export includedir="/usr/include"
export infodir="/usr/share/info"
export libdir="/usr/lib"
export libexecdir="/usr/libexec"
export localstatedir="/var"
export lt_cv_sys_lib_dlsearch_path_spec="/usr/lib /lib"
export mandir="/usr/share/man"
export nonarch_base_libdir="/lib"
export nonarch_libdir="/usr/lib"
export oldincludedir="/usr/include"
export prefix="/usr"
export sbindir="/usr/sbin"
export servicedir="/srv"
export sharedstatedir="/com"
export sysconfdir="/etc"
export systemd_system_unitdir="/lib/systemd/system"
export systemd_unitdir="/lib/systemd"
export systemd_user_unitdir="/usr/lib/systemd/user"
 
# line: 1, file: autogenerated
do_compile() {
    # make clean
    # export LIBRARY_PATH="/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/recipe-sysroot/usr/lib:/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/recipe-sysroot/usr/lib/aarch64-linaro-linux/10.3.1"
    autotools_do_compile
}
 
# line: 238, file: /home/vagrant/oe_qcom_honister/build-cdil/conf/../../layers/openembedded-core/meta/classes/autotools.bbclass
autotools_do_compile() {
oe_runmake
}
 
# line: 64, file: /home/vagrant/oe_qcom_honister/build-cdil/conf/../../layers/openembedded-core/meta/classes/base.bbclass
oe_runmake() {
oe_runmake_call "$@" || die "oe_runmake failed"
}
 
# line: 55, file: /home/vagrant/oe_qcom_honister/build-cdil/conf/../../layers/openembedded-core/meta/classes/base.bbclass
die() {
bbfatal_log "$*"
}
 
# line: 59, file: /home/vagrant/oe_qcom_honister/build-cdil/conf/../../layers/openembedded-core/meta/classes/base.bbclass
oe_runmake_call() {
bbnote make -j 8  "$@"
make -j 8  "$@"
}
 
# line: 66, file: /home/vagrant/oe_qcom_honister/build-cdil/conf/../../layers/openembedded-core/meta/classes/logging.bbclass
bbfatal_log() {
if [ -p /home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/temp/fifo.2668267 ] ; then
printf "%b\0" "bbfatal_log $*" > /home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/temp/fifo.2668267
else
echo "ERROR: $*"
fi
exit 1
}
 
# line: 21, file: /home/vagrant/oe_qcom_honister/build-cdil/conf/../../layers/openembedded-core/meta/classes/logging.bbclass
bbnote() {
if [ -p /home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/temp/fifo.2668267 ] ; then
printf "%b\0" "bbnote $*" > /home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/temp/fifo.2668267
else
echo "NOTE: $*"
fi
}
 
cd '/home/vagrant/oe_qcom_honister/build-cdil/tmp-cdil-glibc/work/cortexa53-linaro-linux/opal/3.18-beta9-r0/git'
do_compile
 
# cleanup
ret=$?
trap '' 0
exit $ret
 

Join {yocto@lists.yoctoproject.org to automatically receive all group messages.